---
name: Mohamed Hussain
locality:
country: Remote
role: <a href="">Business Systems Administrator</a>
reports_to: sheelaviswanathan
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: Moh.hussain
departments:
- Enterprise Applications
- Field Operations
specialty:
- Sales
expertise:
story:
job_title: Business Systems Administrator
division: Finance
public: true

